LIBRARY InfoUnzip;

USES
  wintypes,unzip,zipread;

function GetUnzipDllVersion:word; export;
begin
  GetUnzipDllVersion:=1*256+0;    {Version 1.00 (first release)}
end;

function GetFirstInZip(zipfilename:pchar;var zprec:tZipRec):integer; export;
begin
  GetFirstInZip:=zipread.GetFirstInZip(zipfilename,zprec);
end;

function GetNextInZip(var Zprec:tZiprec):integer; export;
begin
  GetNextInZip:=zipread.GetNextInZip(Zprec);
end;

procedure CloseZipFile(var Zprec:tZiprec); export;
begin
  zipread.CloseZipFile(Zprec);
end;

function isZip(filename:pchar):boolean; export;
begin
  isZip:=zipread.isZip(filename);
end;

function GetSupportedMethods:longint; export; {Method 8 supported -> bit 8 = 1, etc.}
begin
  GetSupportedMethods:=unzip.GetSupportedMethods;
end;

function unzipfile(in_name:pchar;out_name:pchar;offset:longint;
  hFileAction:hwnd;cm_index:integer):integer; export;
BEGIN
  unzipfile:=unzip.unzipfile(in_name,out_name,offset,hFileAction,cm_index);
END;

EXPORTS
  GetUnzipDllVersion index 1,
  GetFirstInZip index 2,
  GetNextInZip index 3,
  CloseZipFile index 4,
  isZip index 5,
  GetSupportedMethods index 6,
  unzipfile index 7;

BEGIN
END.
